/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 1998-2022                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/




#ifndef CUBEGUI_SCROLLAREA_H
#define CUBEGUI_SCROLLAREA_H

#include <QScrollArea>
#include <QScrollBar>

namespace cubegui
{
class ScrollArea : public QScrollArea
{
    Q_OBJECT
public:
    explicit
    ScrollArea( QWidget* parent = 0 );

signals:
    void
    resized( const QSize& );

public slots:
    void
    scrollTo( int x,
              int y );

protected:
    void
    resizeEvent( QResizeEvent* event );
};
}
#endif
