/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2009-2024                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  Copyright (c) 2009-2016                                                **
**  TU Dresden, Zentrum fuer Informationsdienste und Hochleistungsrechnen  **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


/**
 * @file
 *
 * Implements the representation and analysis of library dependencies
 */

#include <config.h>

#include <iostream>
#include <stdlib.h>
#include <cstring>

#include <cubegui_config.hpp>

#include <cubegui_config_data.hpp>

#include <config-external-libs-frontend.hpp>

using namespace std;

cubegui_config_data*
cubegui_config_get_frontend_data( void )
{
    static cubegui_config_data data;

    data.m_qmake          = "/usr/lib64/qt5/bin/qmake-qt5";
    data.m_moc            = "/usr/lib64/qt5/bin/moc";
    data.m_uic            = "/usr/lib64/qt5/bin/uic";
    data.m_rcc            = "/usr/lib64/qt5/bin/rcc";
    data.m_cubelib_config = "/builddir/build/BUILD/cube-4.9-build/cube-4.9/cubelib-config";
    data.m_cc             = "gcc";
    data.m_cxx            = "g++ -std=c++11";
    data.m_cppflags       = "-I/usr/include/cubegui";
    data.m_incldir        = "/usr/include/cubegui";
    data.m_use_rpath_flag = 0;
    data.m_rpath_flag_cc  = "$wl-rpath $wl$libdir";
    data.m_wl_flag        = "-Wl,";
    data.m_aix_libpath    = "";
    // No linker/loader search path filtering for now, see scorep#415
    data.m_sys_lib_search_path   = ""; // "/usr/lib/gcc/x86_64-redhat-linux/15 /usr/lib64 /lib64 /usr/lib /lib ";
    data.m_sys_lib_dlsearch_path = ""; // "/usr/lib64 /lib /usr/lib ";

    add_library_dependencies_frontend( &data.m_library_objects );

    data.prepare_rpath_flags();

    return &data;
}
